Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xml.serialize
Class Method

    java.lang.Object
      |
      +--weblogic.apache.xml.serialize.Method

public final class Method
extends java.lang.Object

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Revision: 1.3 $ $Date: 2000/08/30 18:59:21 $
Author:
  Assaf Arkin
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `OutputFormat`

Field Summary
`static java.lang.String` | `FOP` The output method for FO documents as PDF.
`static java.lang.String` | `HTML` The output method for HTML documents.
`static java.lang.String` | `TEXT` The output method for text documents.
`static java.lang.String` | `XHTML` The output method for HTML documents as XHTML.
`static java.lang.String` | `XML` The output method for XML documents.

Constructor Summary
`Method()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML

    public static final java.lang.String XML

  The output method for XML documents.

### HTML

    public static final java.lang.String HTML

  The output method for HTML documents.

### XHTML

    public static final java.lang.String XHTML

  The output method for HTML documents as XHTML.

### TEXT

    public static final java.lang.String TEXT

  The output method for text documents.

### FOP

    public static final java.lang.String FOP

  The output method for FO documents as PDF.

Constructor Detail

### Method

    public Method()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD